org.apache.poi.hssf.record

## Class LbsDataSubRecord

- java.lang.Object
- - org.apache.poi.hssf.record.SubRecord
  - - org.apache.poi.hssf.record.LbsDataSubRecord

- All Implemented Interfaces:
    Duplicatable

      public class LbsDataSubRecord
      extends SubRecord

  This structure specifies the properties of a list or drop-down list embedded object in a sheet.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LbsDataSubRecord.LbsDropData` This structure specifies properties of the dropdown list control

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LbsDataSubRecord(LbsDataSubRecord other)`
    `LbsDataSubRecord(LittleEndianInput in, int cbFContinued, int cmoOt)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `LbsDataSubRecord` | `clone()` Deprecated.
    `LbsDataSubRecord` | `copy()`
    `protected int` | `getDataSize()`
    `Ptg` | `getFormula()`
    `int` | `getNumberOfItems()`
    `boolean` | `isTerminating()` Whether this record terminates the sub-record stream.
    `static LbsDataSubRecord` | `newAutoFilterInstance()`
    `void` | `serialize(LittleEndianOutput out)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hssf.record.SubRecord

      `createSubRecord, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final int sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LbsDataSubRecord

          public LbsDataSubRecord(LbsDataSubRecord other)

    - #### LbsDataSubRecord

          public LbsDataSubRecord(LittleEndianInput in,
                                  int cbFContinued,
                                  int cmoOt)

      Parameters:
        `in` - the stream to read data from
        `cbFContinued` - the seconf short in the record header
        `cmoOt` - the containing Obj's `CommonObjectDataSubRecord.field_1_objectType`

  - ### Method Detail

    - #### newAutoFilterInstance

          public static LbsDataSubRecord newAutoFilterInstance()

      Returns:
        a new instance of LbsDataSubRecord to construct auto-filters
      See Also:
        `HSSFCombobox`

    - #### isTerminating

          public boolean isTerminating()

      Description copied from class: `SubRecord`
      Whether this record terminates the sub-record stream. There are two cases when this method must be overridden and return `true` - EndSubRecord (sid = 0x00) - LbsDataSubRecord (sid = 0x12)
      Overrides:
        `isTerminating` in class `SubRecord`
      Returns:
        true as LbsDataSubRecord is always the last sub-record

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `SubRecord`
      Returns:
        the size of the data for this record (which is always 4 bytes less than the total record size). Note however, that ushort encoded after the record sid is usually but not always the data size.

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Specified by:
        `serialize` in class `SubRecord`

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public LbsDataSubRecord clone()

      Deprecated.
      Specified by:
        `clone` in class `SubRecord`

    - #### copy

          public LbsDataSubRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `SubRecord`
      Returns:
        a deep copy of the implementing class / instance

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getFormula

          public Ptg getFormula()

      Returns:
        the formula that specifies the range of cell values that are the items in this list.

    - #### getNumberOfItems

          public int getNumberOfItems()

      Returns:
        the number of items in the list

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.